<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <title>Note List</title>
    <style>
      .card {
        box-shadow: 0 4px 8px 0 rgba(0,0,0,0.2);
        transition: 0.3s;
        width: 280px;
        padding: 16px 16px;
        margin: 10px;
        background-color: rgb(172, 248, 222);
      }
      .card:hover {
        box-shadow: 0 8px 16px 0 rgba(0,0,0,0.2);
        background-color:rgb(151, 248, 214);
      }
      .main_container {
        padding: 2px 16px;
        display: flex;
        flex-wrap: wrap;
        margin: 20px;
      }
      .header {
        background-color: rgb(19, 139, 143);
        padding: 15px;
        text-align: center;
      }
      .navbar_container {
        background-color: rgb(121, 213, 216);
        padding: 15px;
        text-align: center;
      }
    </style>
  </head>
  <body>
    <div class="navbar_container">
        <div class="navbar">
            <a href="/lab-4">Note Table</a>
            <a>|</a>
            <a href="/lab-4/add-note">Add Note</a>
            <a>|</a>
            <a href="/lab-4/note-list">Note List</a>
        </div>
    </div>
    <div class="header">
      <h1>Here Are Your Note List!</h1>
    </div>
    <div class="main_container">
        {% if notes %}
            {% for note in notes %}
            <div class="card">
                <h2><b>{{note.title}}</b></h2>
                <p1>From: {{note.to_person}} </p1>
                <br>
                <p2>To: {{note.from_person}} </p2>
                <br>
                <p3><b>{{note.message}} </b></p3>
            </div>
            {% endfor %}
        {% endif %}
    </div>
  </body>
</html>